body {
    margin: 0;
    font-family: Arial, sans-serif;
    background-color: #1976d2;
    display: flex;
    justify-content: center;
    align-items: center;
    overflow: auto;
    flex-direction: column;
}

.card {
    background: #fff;
    max-width: 50%;
    padding: 30px;
    border-radius: 15px;
    box-shadow: 0 15px 35px rgba(0, 0, 0, 0.3);
}

h2,
h3,
h4 {
    text-align: center;
    color: #1565c0;
}

select,
textarea,
input[type="number"],
input[type="text"] {
    width: 100%;
    padding: 10px;
    margin: 6px 0 15px;
    border-radius: 8px;
    border: 1px solid #ccc;
    box-sizing: border-box;
}

button {
    width: 100%;
    background: #1976d2;
    padding: 12px;
    border: none;
    border-radius: 10px;
    cursor: pointer;
}

button:hover {
    background: #0d47a1;
}

.answers {
    display: flex;
    justify-content: space-between;
    margin-bottom: 15px;
}

.answer-btn {
    width: 18%;
    background: #e3f2fd;
    border: 1px solid #90caf9;
}

.answer-btn.active {
    background: #1976d2;
    color: #fff;
}

input[type="number"]::-webkit-outer-spin-button,
input[type="number"]::-webkit-inner-spin-button {
    -webkit-appearance: none;
    margin: 0;
    width: 90%;
}

.answers.error {
    border: 2px solid red;
    padding: 8px;
    border-radius: 6px;
}

@media (max-width: 800px) {
    .card {
        padding: 30px;
        border-radius: 15px;
        color: #1976d2;
    }
}

.radio-opt,
.check-opt {
    display: block;
    width: 100%;
    margin: 6px 0;
    cursor: pointer;
}

.radio-opt input,
.check-opt input {
    margin-right: 8px;
}

/* чтобы точно не выстраивались в строку */
.options-group {
    display: block;
}
label.error {
    color: red;
}

select.error {
  border: 2px solid red;
}